## Project for predicting 3D positional data to compensate for latency

This project explores the possibilities of compensating latency of tracked
positions via neuronal networks. The repository the various code pieces that
resulted from this project.

### [Visualizer](./Visualizer)
Contains the code for a 3D Application that can visualize and edit recorded
motion tracking data as CSV files. It can also visualize predictions for
comparision.

### [Python Test](./Python Test)
This folder contains a python tool which can be used to train many different
networks for predicting data into the future and allows to configure various
different hyper parameters. It can also load existing networks and use them to
predict real time tracking data in combination with [Stage
Precision](https://www.stageprecision.com/) over the SPNet protocol.

### [Meta](./Meta)
Contains various data sets, graphs, test networks, Stage Precision projects and
training scripts.

#### License
BSD 2-Clause License

Copyright (c) 2021, Alexander K.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

